MessageFormatter::parseMessage
MessageFormatter::setPattern
MessageFormatter
PHP Manual

# MessageFormatter::parse

# msgfmt_parse

(No version information available, might be only in CVS)

MessageFormatter::parse -- msgfmt_parse — Parse input string according to pattern

### Description

Object oriented style

array MessageFormatter::parse ( string `$value` )

Procedural style

array msgfmt_parse ( MessageFormatter `$fmt` , string `$value` )

Parses input string and return any extracted items as an array.

### Parameters

`fmt`

  The message formatter

`value`

  The string to parse

### Return Values

An array containing the items extracted, or `FALSE` on error

### Examples

Example #1 msgfmt_parse() example

`<?php
$fmt = msgfmt_create('en_US', "{0,number,integer} monkeys on {1,number,integer} trees make {2,number} monkeys per tree");
$res = msgfmt_parse($fmt, "4,560 monkeys on 123 trees make 37.073 monkeys per tree");
var_export($res);
$fmt = msgfmt_create('de', "{0,number,integer} Affen über {1,number,integer} Bäume um {2,number} Affen pro Baum");
$res = msgfmt_parse($fmt, "4.560 Affen über 123 Bäume um 37,073 Affen pro Baum");
var_export($res);
?>`

Example #2 OO example

`<?php
$fmt = new MessageFormatter('en_US', "{0,number,integer} monkeys on {1,number,integer} trees make {2,number} monkeys per tree");
$res = $fmt->parse("4,560 monkeys on 123 trees make 37.073 monkeys per tree");
var_export($res);
$fmt = new MessageFormatter('de', "{0,number,integer} Affen über {1,number,integer} Bäume um {2,number} Affen pro Baum");
$res = $fmt->parse("4.560 Affen über 123 Bäume um 37,073 Affen pro Baum");
var_export($res);
?>`

The above example will output:

    array (
      0 => 4560,
      1 => 123,
      2 => 37.073,
    )
    array (
      0 => 4560,
      1 => 123,
      2 => 37.073,
    )

### See Also

- msgfmt_create()
- msgfmt_format()
- msgfmt_parse_message()

MessageFormatter::parseMessage
MessageFormatter::setPattern
MessageFormatter
PHP Manual